Name:           ghc-rpm-macros
Version:        2.5.2
Release:        2
Summary:        RPM Macros for building packages for GHC
License:        GPL-3.0-or-later
URL:            https://src.fedoraproject.org/rpms/ghc-rpm-macros
Source0:        %{name}-%{version}.tar.xz
# In openEuler, we use help as documents package's suffix instead of doc.
Patch1:         using-help-as-doc-packages-suffix.patch
BuildRequires:  xz
Requires:       rpm
Requires:       chrpath
BuildArch:      noarch

%description
A set of macros for building GHC packages. ghc needs to be installed
in order to make use of these macros.

%package extra
Summary:        Extra RPM macros for building Haskell packages with several libs
Requires:       %{name} = %{version}-%{release}

%description extra
Extra macros used for subpackaging of Haskell libraries,
for example in ghc and haskell-platform.

%prep
%autosetup -p1

%build

%install
install -p -D -m 0644 macros.ghc %{buildroot}%{_rpmmacrodir}/macros.ghc
install -p -D -m 0644 macros.ghc-extra %{buildroot}/%{_rpmmacrodir}/macros.ghc-extra
install -p -D -m 0644 macros.ghc-suse %{buildroot}/%{_rpmmacrodir}/macros.ghc-suse
install -p -D -m 0755 ghc-deps.sh %{buildroot}/%{_prefix}/lib/rpm/ghc-deps.sh
install -p -D -m 0755 cabal-tweak-dep-ver %{buildroot}/%{_bindir}/cabal-tweak-dep-ver
install -p -D -m 0755 cabal-tweak-drop-dep %{buildroot}/%{_bindir}/cabal-tweak-drop-dep
install -p -D -m 0755 cabal-tweak-flag %{buildroot}/%{_bindir}/cabal-tweak-flag
install -p -D -m 0755 cabal-tweak-remove-upperbound %{buildroot}/%{_bindir}/cabal-tweak-remove-upperbound
install -p -D -m 0755 ghc-pkg-wrapper %{buildroot}/%{_prefix}/lib/rpm/ghc-pkg-wrapper
install -p -D -m 0644 ghc.attr %{buildroot}/%{_prefix}/lib/rpm/fileattrs/ghc.attr
install -p -D -m 0644 Setup.hs %{buildroot}/%{_datadir}/%{name}/Setup.hs

%files
%doc AUTHORS
%license COPYING
%{_rpmmacrodir}/macros.ghc
%{_rpmmacrodir}/macros.ghc-suse
%{_prefix}/lib/rpm/ghc-deps.sh
%{_bindir}/cabal-tweak-dep-ver
%{_bindir}/cabal-tweak-flag
%{_bindir}/cabal-tweak-drop-dep
%{_bindir}/cabal-tweak-remove-upperbound
%{_prefix}/lib/rpm/ghc-pkg-wrapper
%{_prefix}/lib/rpm/fileattrs/ghc.attr
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/Setup.hs

%files extra
%{_rpmmacrodir}/macros.ghc-extra

%changelog
* Fri Aug 16 2024 Lin Runze <lrzlin@163.com> 2.5.2-2
- Revert to 2.5.2 due to 2.6.4 is incompatible with ghc 9.6.3

* Sun Jul 28 2024 Lin Runze <lrzlin@163.com> 2.6.4-1
- Update to 2.6.4
- Replace %patchN with %patch -P, %patchN is deprecated

* Tue Jul 25 2023 Lin Runze <lrzlin@163.com> 2.5.2-1
- Initial packaging
- Using help suffix instead of doc
